Bug 221884 - Review Request: pyBackPack (GTK+ Python backup tool)
Review Request: pyBackPack (GTK+ Python backup tool)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Package Reviews List
http://projects.sucs.org/projects/pyb...
:
: 168690 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 13:36 EST by Andrew Price
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.5.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 12:11:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
katzj: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Price 2007-01-08 13:36:25 EST
I'm opening this second review request as per bug 168690.

pyBackPack - A GTK+ application written in Python to back up and restore files
onto CDR, USB stick or SSH host, aimed at less technical users. The project was
started for Google Summer of Code 2005 but I took over development when the
original maintainer no longer wanted it. I aim to improve it considerably from
its current state.

Current version: 0.4.5

Spec: http://andrewprice.me.uk/projects/pybackpack/download/pybackpack.spec
SRPM:
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.4.5-1.src.rpm
RPM:
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.4.5-1.noarch.rpm

Thanks
Comment 1 Rahul Sundaram 2007-01-08 14:11:39 EST
*** Bug 168690 has been marked as a duplicate of this bug. ***
Comment 2 Andrew Price 2007-02-08 04:05:12 EST
Just thought I'd let you know I haven't disappeared off the face of the earth. I
haven't made a new release for a while but in svn there have been some
interesting changes such as added i18n support. I've also sent some patches to
rdiff-backup to fix some deeper bugs and started a branch to redo the GUI,
refactor the code, and generally make improvements that would be hard to do by
patching the trunk in its current state. I'm busy with course work at the moment
but I'll let you know when I make a new release. I've also signed up on the
Fedora accounts system as "andyp", if that helps at all.
Comment 3 Bernard Johnson 2007-02-18 06:00:35 EST
It appears that this bug was /somewhat/ fixed, but perhaps not in the way I
expected.

http://projects.sucs.org/projects/pybackpack/ticket/36

It *is* much faster now, but when I exclude a directory like ~/xbuild, it still
walks the tree, even if I excluded that directory from the backup set.  Why? 
What use is that if we are not going to backup those files?

Also, if there are any unreadable files/directories, the backup will terminate.
 It should just continue, but with a warning that those files could not be
backed up.

Sun Feb 18 03:34:44 2007: Starting backup of 'home-terastation' to
'/net/terastation/mnt/array1/backup/pybackpack'
Sun Feb 18 03:34:44 2007: Analysing backup source
Sun Feb 18 03:38:48 2007: Permissions/file missing problems on certain files:
Directory: /home/bjohnson/.lightscribe
Sun Feb 18 03:38:48 2007: Backup failed.

Setting your FE-NEEDSPONSOR and FE-NEW blockers so the right people can find you ;)
Comment 4 Bernard Johnson 2007-02-18 06:31:06 EST
(In reply to comment #3)
> it still walks the tree, even if I excluded that directory from the
> backup set.  

This seemed to have the effect of making the progress slowly go up to 17%, then
suddenly the backup was done.
Comment 5 Bernard Johnson 2007-04-07 12:03:14 EDT
(In reply to comment #2)
> Just thought I'd let you know I haven't disappeared off the face of the earth.

Andy,

Can you post a status at least once a month?  Otherwise, we should probably just
close this and reopen once you have time to work on it.
Comment 6 Andrew Price 2007-04-08 21:46:23 EDT
Sorry this took so long. I've been doing a lot of refactoring and stability work
on pybackpack recently. No shiny new features or big performance fixes I'm
afraid, mostly reworking the code to make it easier to maintain. But nonetheless
I've made a new release (0.5.0):

Spec, SRPM and RPM:
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack.spec
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.5.0-1.src.rpm
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.5.0-1.noarch.rpm

You may not see much difference between the previous version and this version on
the surface but development should start to pick up momentum now that the
codebase is starting to become sane.

I'm going to be crazy busy with university stuff until the middle of June but
I'll try to keep the bug fixes coming and keep you posted at least once a month.

Thanks again for your time. I appreciate the feedback even if the package is
still far from Fedora-worthy.
Comment 7 Andrew Price 2007-05-04 12:52:06 EDT
(Monthly status report as per comment #5)

No new release since 0.5.0. I'm currently busy studying for exams which finish
in June. Expect lots more work starting then.

Any feedback for the 0.5.0 package?

Aside: Last month I got pybackpack 0.5.0 sponsored into Debian unstable so
hopefully I'll get some good contextual feedback from that and it'll mature
better off the back of it.

Cheers
Comment 8 Bernard Johnson 2007-05-08 05:37:39 EDT
(In reply to comment #7)
> Any feedback for the 0.5.0 package?

Working about the same as last release, as expected.
 
> Aside: Last month I got pybackpack 0.5.0 sponsored into Debian unstable so
> hopefully I'll get some good contextual feedback from that and it'll mature
> better off the back of it.

That should help.

Here's a few things I noticed when I again recently looked at your spec file:

1) warning from rpm when building:
warning: File listed twice:
/usr/lib/python2.4/site-packages/pybackpack/backuptool.py

That's because of this line:
%attr(755,root,root) %{python_sitearch}/pybackpack/backuptool.py

take that out and either chmod it in %install after it's installed, or even
better since you're upstream, fix the install script :) (does it even need to be
executable?)

2) /usr/lib/python2.4/site-packages/pybackpack/pybackpack_logo.png
should go in /usr/share/pixmaps

3) /usr/share/applications/fedora-pybackpack.desktop specifies icon as
"file-roller"?  huh? 

4) just replace all of this:
%dir %{python_sitearch}/pybackpack
%attr(755,root,root) %{python_sitearch}/pybackpack/backuptool.py
%{python_sitearch}/pybackpack/*.py
%{python_sitearch}/pybackpack/*.glade
%{python_sitearch}/pybackpack/*.pyc
%{python_sitearch}/pybackpack/*.png

with this:
%{python_sitearch}/*

5) you really don't want this:
%ghost %{python_sitearch}/pybackpack/*.pyo
Comment 9 Andrew Price 2007-05-10 05:41:44 EDT
Thanks Bernard. Some of the issues raised with the spec file/installer have been
addressed already and I'll make a note to see to the others for the next release.

As for the desktop icon being file-roller, it's been that way since I started
working on pybackpack. I'll see if I can get a more suitable icon drawn up, or
find a stock "backup" icon.
Comment 10 Bernard Johnson 2007-05-10 12:54:28 EDT
(In reply to comment #9)
> As for the desktop icon being file-roller, it's been that way since I started
> working on pybackpack. I'll see if I can get a more suitable icon drawn up, or
> find a stock "backup" icon.

You already include pybackpack_logo.png.  All you have to do is point the
.desktop file to that.
Comment 11 Andrew Price 2007-05-10 14:55:31 EDT
(In reply to comment #10)
> You already include pybackpack_logo.png.  All you have to do is point the
> .desktop file to that.

I did consider that but I concluded that the icon doesn't scale down very well,
it doesn't convey the function of the menu entry well enough (looks like a game
about putting snakes in bags or something) and I'd rather do it well than kludge
it. Could be just me being a perfectionist but there we go :) I've asked the
pybackpack mailing list for their artistic ideas as my pybackpack time is better
spent coding and fixing the more urgent bugs so I'll get a new icon one way or
another.
Comment 12 Rahul Sundaram 2007-05-10 15:30:55 EDT
If you need a better icon feel free to use
http://fedoraproject.org/wiki/Artwork/DesignService
Comment 13 Andrew Price 2007-05-26 17:59:39 EDT
I've just released 0.5.1. New package available from:

http://andrewprice.me.uk/projects/pybackpack/download/pybackpack.spec
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.5.1-1.fc7.src.rpm
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.5.1-1.fc7.noarch.rpm

I've cleaned up the spec file according to Bernard's comment #8. It now doesn't
require any patches and it puts the logo png in /usr/share/pixmaps/

I haven't got a new icon yet but I've asked fedora-artwork about it (thanks for
the advice, Rahul).

This review has been going on for quite a while now. If you could give me a good
idea of how close I am to getting it right I'd be most grateful.

Thanks
Comment 14 Bernard Johnson 2007-05-31 19:33:38 EDT
(In reply to comment #13)
> This review has been going on for quite a while now. If you could give me a good
> idea of how close I am to getting it right I'd be most grateful.

Well, actually the review hasn't started :)  We're just giving you informal
comments to help you along.  You'll need a sponsor to pick you up and review and
approve your package.  There is really nothing I see that I would consider a
blocker in getting your package in.  Your packaging is mostly sane, although I
haven't rigorously reviewed it to meet the guidelines.

My suggestion would be to post to the fedora-devel mailing list that you're
looking for a sponsor for you and a formal review for your package. 
Comment 15 Mamoru TASAKA 2007-06-01 18:27:07 EDT
Well, quick notes (I just glanced at your spec file
of 0.5.1-1 on web)

* Should python directory be python_sitearch? python_sitearch
  is supposed to be used for arch-dependent files. For noarch
  rpms, this should be usually python_sitelib.

* X-Fedora category is deprecated and should be removed.

* Please check the ownership of the directories.
  %{python_sitearch}/pybackpack/ is not owned by any package.
Comment 16 Mamoru TASAKA 2007-06-01 18:30:24 EDT
One more notes:

* Please check is "INSTALL" file is really needed for %doc.
  Usually "INSTALL" file is for people who want to rebuild the
  package by themselves and is not needed for users who
  uses rpm package manager (I only checked your spec file and
  I have not yet checked INSTALL file for this package actually)
Comment 17 Mamoru TASAKA 2007-06-01 18:33:12 EDT
Well anyway:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 18 Jeremy Katz 2007-06-05 16:35:23 EDT
I've been corresponding with Andy some and am going to take over the review and
will then sponsor him.
Comment 19 Kevin Fenzi 2007-06-09 00:24:19 EDT
Setting the review flag here. 
Comment 20 Jeremy Katz 2007-06-20 11:12:11 EDT
Per the comments in comment #15, there are a couple of things that have to be
fixed for the package to be approved:
* MUST: Use python_sitelib instead of python_sitearch.  Otherwise, the build
will fail to work properly on x86_64
(http://fedoraproject.org/wiki/Packaging/Python)
* MUST: Need to own the python/site-packages/pybackpack dir.  Something like
     %dir %{python_sitelib}/pybackpack
  will do the trick
* SHOULD: Don't need to do the X-Fedora category anymore
* SHOULD: Is the group really Applications/Multimedia?  Applications/Archiving
would make more sense to me

Fix those up and I'll approve it/sponsor
Comment 21 Andrew Price 2007-06-20 21:21:50 EDT
Thanks for your feedback, Jeremy and Mamoru. I've incorporated your suggestions
into a new package:

http://andrewprice.me.uk/projects/pybackpack/download/pybackpack.spec
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.5.1-2.fc7.src.rpm
http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-0.5.1-2.fc7.noarch.rpm

Changes:

- Use python_sitelib instead of python_sitearch
- Fix ownership of python/site-packages/pybackpack dir
- Remove X-Fedora category
- Move to Applications/Archiving group

Thanks very much
Comment 22 Jeremy Katz 2007-06-21 14:10:41 EDT
Looks good.  Approving the package and sponsoring.  
Comment 23 Andrew Price 2007-06-21 16:16:20 EDT
New Package CVS Request
=======================
Package Name: pybackpack
Short Description: File backup manager
Owners: andy@andrewprice.me.uk
Branches: F-7
Comment 24 Kevin Fenzi 2007-06-21 22:35:37 EDT
cvs done.
Comment 25 Andrew Price 2007-06-22 00:09:35 EDT
The package built successfully in Koji. Sending bug to NEXTRELEASE as per the
docs. Thanks all for your valuable input and help :-)
Comment 26 Fedora Update System 2007-06-25 16:42:02 EDT
pybackpack-0.5.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2007-07-02 12:11:08 EDT
pybackpack-0.5.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.